<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Формы</title>
</head>
<body>
    <h1>Формы</h1>

    <form >
        <div>
            <label for="text">Текст</label>
            <input type="text" id="text" value="Текст по умолчанию"
            readonly>
        </div>
        <div>
            <label for="email">Email</label>
            <input type="email" id="email"
            placeholder="Введите email">
            
        </div>
        <div>
            <label for="password">Пороль</label>
            <input type="password" id="password">
        </div>
        <div>
            <label for="number">Число</label>
            <input type="number" id="number" min="0">
        </div>
        <div>
            <label for="range">Range</label>
            <input type="range" id="range" min="0" max="20" step="1">
        </div>
        <div>
            <label for="date">Дата</label>
            <input type="date" id="date">
        </div>
        <div>
            <label for="color">Цвет</label>
            <input type="color" id="color">
        </div>
        <div>
            <label for="massage">Сообщение</label>
            <br>
            <textarea  id="massage" cols="15" rows="15"></textarea>
        </div>
        <div>
            <label for="sex">Ваш пол</label>
            <select  id="sex">
                <option value="male" selected>Мужчина</option>
                <option value="female">Женщина</option>
                <option value="other">Иное</option>
            </select>
        </div>
        <div>
            <label >Колличество работ</label>
            <input type="radio" name="work">1
            <input type="radio"name="work">3
            <input type="radio"name="work">2
            <input type="radio"name="work">10+
        </div>
        <div>
            <label >Любимая еда</label>
            <input type="checkbox" name="food">Картошка
            <input type="checkbox"name="food">Хлеб
            <input type="checkbox"name="food">Молоко
            <input type="checkbox"name="food">Яблоки
        </div>
        <input type="submit" value="Отправить форму">
        <br>
        <button type="submit">Отправить форму</button>

    </form>
</body>
</html>